For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • DELDelete an SMTP transactional log
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIEmail logs

Delete an SMTP transactional log

DELETE
https://api.brevo.com/v3/smtp/log/:identifier
DELETE
/v3/smtp/log/:identifier
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.deleteAnSmtpTransactionalLog("identifier", {});
8}
9main();

Delete SMTP transactional log entries identified by a message ID (enclosed in angle brackets with an @ sign) or a valid email address. Optionally narrow the deletion to a specific date range using from_date and to_date query parameters (YYYY-MM-DD format). The operation also removes any associated stored email preview content.

Was this page helpful?
Previous

Get the list of email templates

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

identifierstringRequired

MessageId or email address of the transactional log(s) to delete. Must be a valid message ID (enclosed in angle brackets with @ sign) or a valid email address.

Query parameters

from_datestringOptional

Starting date (YYYY-MM-DD) to narrow down logs for deletion

to_datestringOptional

Ending date (YYYY-MM-DD) to narrow down logs for deletion

Response

Transactional Logs deleted

Errors

400
Bad Request Error
404
Not Found Error